× Функционирование и эксплуатация Государственной интегрированной информационной системы управления общественными финансами "Электронный бюджет" (ГИИС ЭБ).

Jinn-client

04 апр 2019 16:41 - 09 апр 2019 14:19 #11676 от Gvinpin

Anastasiay пишет: Здравствуйте, поделитесь пожалуйста версией Jinn-Client 1.0.3050. В казначействе сказали, что выдают в порядке очереди в течение 5 рабочих дней.

Поделимся. В течение 5 рабочих дней.

ВНИМАНИЕ: Спойлер! [ Нажмите, чтобы развернуть ]

UPD.
ВНИМАНИЕ: Спойлер! [ Нажмите, чтобы развернуть ]

______________________________

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 09:21 #12138 от xandr84
Добрый день!
Уже второй день не могу победить проблему:
При попытке подписания форм выходит окно сертификата, при попытке обновить выходит ошибка:
Errors. Не удалось обработать
Script document.getElementById("signApplet").
loadCertificates is not a function (TypeError)

FireFox56 32bit
Установлен JinnSignExtensionProvider (Локально - для всех пользователей)
JinnSignExtensionProvider расширение установлено
пункт "плагины" jinn-client  в firefox-e нет (возможно проблема в этом)
Крипто про 4.0.9963
ОС Windows 7
Подскажите куда копать. Уже голова пухнет из-за этого :(

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 09:24 #12139 от Gvinpin

xandr84 пишет: FireFox56 32bit
Установлен JinnSignExtensionProvider (Локально - для всех пользователей)
JinnSignExtensionProvider расширение установлено
пункт "плагины" jinn-client  в firefox-e нет (возможно проблема в этом)

Пока что - проблема точно не в отсутствии плагинов, в этой версии используется расширение.

______________________________

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 09:38 #12140 от Alex67

xandr84 пишет: Подскажите куда копать. Уже голова пухнет из-за этого :(

Для начала в сторону "Открыть ЭБ в ИЕ 11"
Касательно 56-го фаерфокса: У вас с ним всё хорошо? это читали?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 10:31 - 08 мая 2019 11:59 #12141 от Gvinpin

xandr84 пишет: При попытке подписания форм выходит окно сертификата, при попытке обновить выходит ошибка:
Errors. Не удалось обработать
Script document.getElementById("signApplet").
loadCertificates is not a function (TypeError)

Какая подсистема? Вроде бы для УиО по-прежнему требуется Java.

Окно сертификата пустое? Какая версия Jinn? Какая версия JinnSignExtension?

______________________________

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 12:02 #12142 от xandr84
Сломалось не давно (подозреваю что из-за обновления браузера. Окно со списком сертификатов пустое.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 12:12 - 10 мая 2019 06:24 #12143 от Gvinpin

xandr84 пишет: Сломалось не давно (подозреваю что из-за обновления браузера. Окно со списком сертификатов пустое.

Скорее, из-за обновления ЭБ. Версии Jinn и JinnSignExtension важны (причем для FF расширение необходимо, а для IE не требуется совсем).

______________________________

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

08 мая 2019 17:36 #12144 от Wmffre

xandr84 пишет: Добрый день!
FireFox56 32bit
Установлен JinnSignExtensionProvider (Локально - для всех пользователей)
JinnSignExtensionProvider расширение установлено
пункт "плагины" jinn-client  в firefox-e нет (возможно проблема в этом)
Крипто про 4.0.9963
ОС Windows 7

В "Установка и удаление программ" Jinn sign extension provider какой версии?

При проблемах с подписанием, как уже посоветовали, в первую очередь пробуйте настроить Internet Explorer 11 для работы электронного бюджета и подписать именно там.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

13 мая 2019 08:03 #12159 от xandr84
jinn sign extension 1.0.0.2
FF56 32
Континент TLS Клиента 1.0.902.0 обновил до 2.0.1440
Крипто про 4.0.9963
Jinn Sign Extension Provider 1.1.0.4

После обновления клиента до 2.0.1440 перестал браузер вообще открывать страницу бюджета.
Ресурс настроил. Указал пользовательский сертификат (пишет действительный) указал серверный (пишет действительный).
В трее т.к. пишет что срок действия сертификата истек, то удалил все старые (истекшие по времени сертификаты пользователя). Что еще можно попробовать сделать? До обновления клиента пробовал изменить настроку FF по блокировки плагинов и это не помогло.
Можете подсказать что еще можно посмотреть?
Спасибо!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

13 мая 2019 08:25 - 13 мая 2019 08:39 #12161 от Alex67

xandr84 пишет: Можете подсказать что еще можно посмотреть?
Спасибо!

Вам уже написали --- пробовать открыть в ИЕ для начала, а уже потом бороться с Фаерфоксом
И вообще у вас сертификаты пока 2001 ГОСТ? А сломалось после 04 мая?
Так искали бы и ставили 56 ESR версию и отключили там проверку подписи плагинов.
Ну раз уж вы всё равно всё обновили (тлс и джин) --- бросайте фаерфокс и пользуйтесь ИЕ
В трее так и будет красным -- у него какая то трабла с проверкой CRL по 2001 ГОСТ, отключайте в настройках ТЛС проверку CRL

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

13 мая 2019 10:29 #12167 от Wmffre

Alex67 пишет: В трее так и будет красным -- у него какая то трабла с проверкой CRL по 2001 ГОСТ, отключайте в настройках ТЛС проверку CRL

Проблема с необновлением CRL возможно связана с тем, что в операционной системе остались установленые старые CRL, которые скачивались и устанавливались прошлой версией Континент TLS Клиент 1.0.920.0 (а они скачивались и устанавливались в совсем другие хранилища). Для того, чтобы Континент TLS Клиент 2.0.1440.0 установил/обновил CRL, необходимо удалить все установленные CRL в оснастке Сертификаты Windows (там необходимо внимательно осмотреть все хранилища как текущего пользователя, так и локального компьютера). После этого возможно, что также потребуется переустановить сертификаты сервера lk2012.budget.gov.ru.cer и lk.budget.gov.ru.cer.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

16 мая 2019 09:44 #12219 от ovmiev
Jinn 1.0.3050 при подписании не видит Etoken. PKI клиент установлен. С флэшки нормально подписывает.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

16 мая 2019 10:03 - 16 мая 2019 10:11 #12221 от Gvinpin

ovmiev пишет: Jinn 1.0.3050 при подписании не видит Etoken. PKI клиент установлен. С флэшки нормально подписывает.

Драйвер Etoken с самого дистрибутива Jinn 1.0.3050 не устанавливали?

______________________________

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

16 мая 2019 12:31 #12224 от ovmiev
Да, с дистрибутива, пробовал с интернета, результат один, Etoken не видно

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

16 мая 2019 19:03 #12237 от xandr84
Откатил FF до версии 51. Теперь выходит окно джин клиента. Затем выбираю сертификат и далее идет окно с "чтение ключей".
Это из-за чего такое может происходить?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.